package com.annimon.gipgame;

import java.util.Random;

public class Util {
    
    private static Random rnd = new Random();
    
    public static int rand(int to) {
        return rnd.nextInt(to);
    }
    
    public static int rand(int from, int to) {
        return rnd.nextInt(to - from) + from;
    }
    
    public static float rand(float from, float to) {
        return rnd.nextFloat() * (to - from) + from;
    }
    
    public static int randomColor(int from, int to) {
        if (from > 230) from = 230;
        if (to > 255) to = 255;
        
        int red = rand(from, to);
        int green = rand(from, to);
        int blue = rand(from, to);
        
        return 0xFF000000 | (red << 16) | (green << 8) | blue;
    }
    
    public static int randomSpaceColor(int to) {
        if (to > 240) to = 240;
        
        int red = rand(to / 2);
        int green = rand(red / 2, to / 2);
        int blue = rand(red, to);
        
        return 0xFF000000 | (red << 16) | (green << 8) | blue;
    }

}
